Package org.apache.tiles.api

# Class TilesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tiles.api.TilesException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DefinitionsFactoryException`, `DigesterDefinitionsReaderException`, `EvaluationException`, `InvalidTemplateException`, `NoSuchAttributeException`, `NoSuchContainerException`, `PreparerException`, `TilesContainerFactoryException`, `TilesVelocityException`

public class TilesException extends RuntimeException
Root class for all Tiles-exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TilesException()`
  Constructor.
  `TilesException(String message)`
  Constructor.
  `TilesException(String message, Throwable e)`
  Create a new `TilesException` from an existing exception.
  `TilesException(Throwable e)`
  Create a new `TilesException` wrapping an existing exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TilesException

    public TilesException()
    Constructor.

  - ### TilesException

    public TilesException(String message)
    Constructor.
    Parameters:
      `message` - The error or warning message.

  - ### TilesException

    public TilesException(Throwable e)
    Create a new `TilesException` wrapping an existing exception.

    The existing exception will be embedded in the new one, and its message will become the default message for the TilesException.

    Parameters:
      `e` - The cause to be wrapped.

  - ### TilesException

    public TilesException(String message, Throwable e)
    Create a new `TilesException` from an existing exception.

    The existing exception will be embedded in the new one, but the new exception will have its own message.

    Parameters:
      `message` - The detail message.
      `e` - The cause to be wrapped.